%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate sequoia-keystore-gpg-agent

Name:           rust-sequoia-keystore-gpg-agent
Version:        0.3.0
Release:    1%{?dist}
Summary:        Gpg-agent backend for Sequoia's private key store

License:        LGPL-2.0-or-later
URL:            https://crates.io/crates/sequoia-keystore-gpg-agent
Source0:         %{crates_source}
Patch:          sequoia-keystore-gpg-agent-fix-metadata-auto.diff

BuildRequires:  cargo-rpm-macros >= 24
%if %{with check}
BuildRequires:  /usr/bin/gpgconf
%endif

%global _description %{expand:
A gpg-agent backend for Sequoia's private key store.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.txt
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build -f sequoia-openpgp/crypto-nettle

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Thu Jul 25 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.0-1
- initial build
